/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_mtyp.c,v 1.2 1997/09/25 18:20:22 ae59 Exp $ */
/*
$Log: t_mtyp.c,v $
 * Revision 1.2  1997/09/25  18:20:22  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:41  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif
#include <stdio.h>

/*--------------------------------------------------------------*
 | message exception typ and function name                      |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
void msg_exctyp(int typ, const char *name)
#else
void msg_exctyp(typ, name)
      int   typ;
const char  *name;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
void msg_exctyp(int typ, char *name)
#else
void msg_exctyp(typ, name)
int   typ;
char  *name;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   char  *s;

   fprintf(MsgOut,"ieee math error ");
   exc_to_a(typ, &s);
   fprintf(MsgOut, "%s ", s);
   fprintf(MsgOut,"in function %s\n",name);
} /* msg_exctyp() */

/*---------------------------------------------------------------------*
 | message exception arguments                                         |
 *---------------------------------------------------------------------*/
/* BEGIN OF msg_exc ---->
#ifdef ANSI_C
#ifdef LINT_ARGS
void msg_exc(const char *name, const ExtReal *arg)
#else
void msg_exc(name, arg)
const char     *name;
const ExtReal  *arg;
#endif
#else
#ifdef LINT_ARGS
void msg_exc(char *name, ExtReal *arg)
#else
void msg_exc(name, arg)
char     *name;
ExtReal  *arg;
#endif
#endif
{
   fprintf(MsgOut, "%s >", name);
   fprinte(MsgOut, arg);
   fprintf(MsgOut,"<\n");
}   <---- END-OF  msg_exc() */
